Subject: Re: bug#79206: 29.4; cl-defgeneric docstring is incorrect

From: Sean McAfee <[email-masked]>
Date: Sun, 10 Aug 2025 13:09:43 -0700

Oops!  I just sent this reply to Eli only.  Resending...

On Sun, Aug 10, 2025 at 1:46 AM Eli Zaretskii <[email-masked]> wrote:

> Thanks, I've now fixed the doc string on the emacs-30 release branch
> to say that, and I'm therefore closing this bug.
>

Actually, I notice now that even without a DEFAULT-BODY, ARGS is
type-checked:

ELISP> (cl-defgeneric foo 0)
*** Eval error ***  Wrong type argument: sequencep, 0
ELISP> (cl-defgeneric foo "")
*** Eval error ***  Unrecognized usage format
ELISP> (cl-defgeneric foo [])
*** Eval error ***  Wrong type argument: listp, []

But:

ELISP> (cl-defgeneric foo nil)
nil
ELISP> (cl-defgeneric bar 'bar)
nil

(I dunno why that last one passes.)

So ARGS is not really ignored, even if its value is not used.